# $Revision: 1.67 $, $Date: 2010/04/29 21:15:33 $
#
# Conditional build:
%bcond_with	lying	# lie about the H header (always H:1)
#
Summary:	DirectConnect support library for dcgui-qt
Summary(pl.UTF-8):	Biblioteka obsługująca DirectConnect dla dcgui-qt
Name:		dclib
Version:	0.3.23
Release:	1
Epoch:		1
License:	GPL
Group:		Libraries
Source0:	http://dl.sourceforge.net/wxdcgui/%{name}-%{version}.tar.bz2
# Source0-md5:	6852e420e48d09b514fcb9f783611cdc
Patch0:		%{name}-lying_tags.patch
Patch1:		%{name}-ssl.patch
URL:		http://wxdcgui.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bzip2-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	libxml2-devel > 2.0.0
BuildRequires:	openssl-devel >= 0.9.7d
Requires:	libxml2 > 2.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DirectConnect support library for dcgui-qt.

%description -l pl.UTF-8
Biblioteka obsługująca DirectConnect dla dcgui-qt.

%package devel
Summary:	Header files for dclib
Summary(pl.UTF-8):	Pliki nagłówkowe dla dclib
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	bzip2-devel
Requires:	libstdc++-devel
Requires:	libxml2-devel > 2.0.0
Requires:	openssl-devel
Obsoletes:	dclib-static

%description devel
Header files for dclib.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla dclib.

%prep
%setup -q
%{?with_lying:%patch0 -p1}
%patch1 -p1

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_libdir}/libdc.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/*.so
%{_libdir}/*.la
%dir %{_includedir}/dclib-0.3/
%dir %{_includedir}/dclib-0.3/dclib/core
%{_includedir}/dclib-0.3/dclib/core/*.h
%dir %{_includedir}/dclib-0.3/dclib
%{_includedir}/dclib-0.3/dclib/*.h
%{_pkgconfigdir}/*.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dclib.spec,v $
Revision 1.67  2010/04/29 21:15:33  blues
- 0.3.23 - ssl patch from upstream added, obsolete removed, no longer
  static subpackage

Revision 1.66  2010/04/21 17:00:37  arekm
- release 3

Revision 1.65  2010/04/12 19:24:28  arekm
- release 2

Revision 1.64  2008/05/25 20:04:05  blues
- 0.3.13

Revision 1.63  2007-12-08 12:20:22  rotom
- up to 0.3.12

Revision 1.62  2007/10/15 16:56:03  rotom
- up to 0.3.11

Revision 1.61  2007/08/10 18:15:42  qboosh
- removed redundant cp

Revision 1.60  2007/08/09 11:06:52  blues
- 0.3.10

Revision 1.59  2007/06/04 15:39:48  qboosh
- merged update to 0.3.9 from AC-branch (by sparky)

Revision 1.58  2007/04/02 00:40:56  shadzik
- kill unneeded automake BR and stuff that belongs to it
- rel 2 to rebuild with changes above and UTF-8 encondig

Revision 1.57  2007/02/12 21:23:52  glen
- tabs in preamble

Revision 1.56  2007/02/12 00:48:44  baggins
- converted to UTF-8

Revision 1.55  2006/12/21 16:44:32  rotom
- up to 0.3.8

Revision 1.54  2005/02/22 21:30:31  paszczus
- updated to 0.3.7

Revision 1.53  2005/02/11 22:38:26  paszczus
- updated to 0.3.6

Revision 1.52  2005/01/05 19:59:07  paszczus
- updated to 0.3.5, STBR

Revision 1.51  2004/12/25 00:37:01  kolodko
- up to 0.3.4
- rm empty NEWS ChangeLog
- fixed: http://developer.berlios.de/bugs/?group_id=370&func=detailbug&bug_id=2787
- STBR

Revision 1.50  2004/12/10 23:23:03  ankry
- rel. 4

Revision 1.49  2004/10/06 12:57:53  qboosh
- bcond header

Revision 1.48  2004/09/25 09:52:21  havner
- reverted, i'm blind

Revision 1.47  2004/09/25 09:51:36  havner
- rel 4

Revision 1.46  2004/09/20 12:24:05  radek
- added -lying_tags.patch (on bcond, default off)

Revision 1.45  2004/09/13 00:14:57  havner
- epoch in internal deps
- rel 3

Revision 1.44  2004/09/13 00:07:31  havner
- epoch 1

Revision 1.43  2004/08/30 19:23:48  darekr
- update to 0.3.3

Revision 1.42  2004/06/08 16:17:15  blues
- release 2

Revision 1.41  2004/06/05 13:12:31  freetz
- 0.3.2

Revision 1.40  2004/05/31 17:58:45  freetz
- 0.3.1, %%files updated

Revision 1.39  2004/05/19 17:24:17  kolodko
- updated URL

Revision 1.38  2004/05/09 18:12:29  blues
- release 2

Revision 1.37  2004/05/03 18:43:04  freetz
- 0.2.22 (fixes hub name change issue)

Revision 1.36  2004/03/19 23:46:24  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.35  2004/03/04 18:34:39  qboosh
- BR: libstdc++-devel, openssl-devel; devel deps
- fixed Groups (X not used), strict internal deps, release 2

Revision 1.34  2004/03/04 14:11:16  pawelb
- up to 0.2.21

Revision 1.33  2004/01/02 16:06:21  jajcus
- Release: 2 (STBR after AMD64 fixes)

Revision 1.32  2003/12/27 20:27:56  undefine
- copy config.sub to allow build on amd64. btw - ac/am doesn't regenerate propertly here...

Revision 1.31  2003/12/08 12:21:17  qboosh
- it uses libpthread not pth - removed pth deps

Revision 1.30  2003/10/12 08:41:32  luzik
 - updated to 0.2.20
 - added "rus" translation

Revision 1.29  2003/09/15 22:17:07  luzik
 - updated to 0.2.19

Revision 1.28  2003/08/21 06:04:54  luzik
 - updated to 0.2.18

Revision 1.27  2003/08/13 09:50:35  luzik
 - updated to 0.2.17

Revision 1.26  2003/07/08 00:05:10  blues
- second part of small fixes inspired by kloczek (this time better checked,
  I hope...)

Revision 1.25  2003/06/22 14:41:24  misi3k
- updated to 0.2.16

Revision 1.24  2003/06/16 09:28:14  luzik
 - updateg to 0.2.15

Revision 1.23  2003/06/08 23:13:39  luzik
 - updated to 0.2.14

Revision 1.22  2003/05/26 16:24:53  malekith
- massive attack: adding Source-md5

Revision 1.21  2003/05/25 05:46:39  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.20  2003/05/22 23:48:50  luzik
 - updated to 0.2.13

Revision 1.19  2003/04/15 21:49:18  luzik
- updated to 0.2.10

Revision 1.18  2003/04/14 15:29:42  mmazur
- updated to 0.2.9

Revision 1.17  2003/03/28 22:17:49  mmazur
- updated to 0.2.8

Revision 1.16  2003/02/14 14:57:46  blues
- 0.2.5

Revision 1.15  2003/01/18 22:46:43  juandon
- removed two lines with define

Revision 1.14  2002/12/30 11:56:00  qboosh
- added missing ldconfig, fixed broken file lists, cleanups
- release 3

Revision 1.13  2002/12/25 19:23:09  djurban
- Rel 2
- Some updates :), xml patch wont be necessary.

Revision 1.12  2002/12/25 18:31:34  djurban
- Spec rewritten, I will take a look at the patch in a second
- Rel 1 (it does work, no need to do 0.x rel)
